pidgin/nest

Update for the 2.14.3 release
default tip
11 days ago, Sorvival
d386f4debb86
Update for the 2.14.3 release

- Modify config.toml to use the new version
- Add notes for 2.14.3 to ChangeLog
- Add blog post for Pidgin 2.14.3

Testing Done:
ran `dev-server.sh` and verified contents were the expected

Reviewed at https://reviews.imfreedom.org/r/600/
---
title: cve-2012-6152-00
date: 2012-01-28T00:00:00.000Z
cveNumber: cve-2012-6152
summary: Yahoo! remote crash from incorrect character encoding
discoveredBy: Thijs Alkemade and Robert Vehse
fixedInRelease: 2.10.8
type: security
layout: cve
hidden: true
---
### Description
Many places in the Yahoo! protocol plugin assumed incoming strings were UTF-8
and failed to transcode from non-UTF-8 encodings. This can lead to a crash when
receiving strings that aren't UTF-8.
### Mitigation
Depending on the context, either validate that a string is UTF-8 or transcode
the string from the appropriate encoding to UTF-8.